Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.interceptors
Class OptimisticInterceptor

    java.lang.Object
      org.jboss.cache.interceptors.Interceptor
          org.jboss.cache.interceptors.OptimisticInterceptor

All Implemented Interfaces:
  InterceptorMBean

Direct Known Subclasses:
  OptimisticCreateIfNotExistsInterceptor, OptimisticLockingInterceptor, OptimisticNodeInterceptor, OptimisticValidatorInterceptor

    public class OptimisticInterceptor

extends Interceptor

Abstract interceptor for optimistic locking

Author:
  Manik Surtani (manik@jboss.org)

Field Summary
`protected javax.transaction.TransactionManager` | `txManager`
`protected TransactionTable` | `txTable`

Constructor Summary
`OptimisticInterceptor()`

Method Summary
`protected TransactionWorkspace` | `getTransactionWorkspace(GlobalTransaction gtx)`
`void` | `setCache(TreeCache cache)`

Methods inherited from class org.jboss.cache.interceptors.Interceptor
`dumpStatistics, getInvocationContext, getNext, getStatisticsEnabled, invoke, isActive, isBuddyGroupOrganisationMethod, isOnePhaseCommitPrepareMehod, isPreparing, isTransactionLifecycleMethod, isValid, resetStatistics, setInvocationContext, setNext, setStatisticsEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### txManager

    protected javax.transaction.TransactionManager txManager

### txTable

    protected TransactionTable txTable

Constructor Detail

### OptimisticInterceptor

    public OptimisticInterceptor()

Method Detail

### setCache

    public void setCache(TreeCache cache)

  Overrides:
    `setCache` in class `Interceptor`

### getTransactionWorkspace

    protected TransactionWorkspace getTransactionWorkspace(GlobalTransaction gtx)
                                                    throws CacheException

  Throws:
    `CacheException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.